Skip to main content
PATCH
Patch a portal task

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string<uuid>
required
taskId
string<uuid>
required

Body

externalUserId
string | null

The optional external user identifier of the external system.

title
string | null

The title of the task to be displayed in the UI.

Example:

"Sign: Verification of Identity"

url
string | null

The URL that will be displayed within the task content.

Example:

"http://www.yourwebsite.com"

actionText
string | null

Optional action text, a single word to describe the action the task relates to.

Defaults to "Complete", but other examples could be "Sign" or "Review".

Example:

"Complete"

cancelled
boolean | null

Whether the task is Cancelled

Example:

true

cancelledText
string | null

Optional cancelled text, used on the task cancelled screen if provided.

Example:

"Signing Cancelled!"

cancelledUrl
string | null

Optional cancelled URL, which is a URL that is loaded in the task content body instead of the default cancelled screen if provided.

This option overrides CancelledText if provided.

Example:

"http://www.yourwebsite.com"

completed
boolean | null

Whether the task is Completed

Example:

true

completedText
string | null

Optional completed text, used on the task success screen if provided.

Example:

"Signing Complete!"

completedUrl
string | null

Optional completed URL, which is a URL that is loaded in the task content body instead of the default success screen if provided.

This option overrides CompletedText if provided.

Example:

"http://www.yourwebsite.com"

expired
boolean | null

Whether the task is Expired

Example:

true

expiredText
string | null

Optional expired text, used on the task expired screen if provided.

Example:

"Signing Expired!"

expiredUrl
string | null

Optional expired URL, which is a URL that is loaded in the task content body instead of the default expired screen if provided.

This option overrides ExpiredText if provided.

Example:

"http://www.yourwebsite.com"

Response

When request is accepted. Returns the id of the task to be updated.